Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Class MissingMethodException

An exception occurred if a dynamic method dispatch fails with an unknown method. Note that the Missing*Exception classes were named for consistency and to avoid conflicts with JDK exceptions of the same name.

author:
  James Strachan

version:
  $Revision: 8875 $

Field Summary
`def` | `arguments`
`boolean` | `isStatic`
`String` | `method`
`Class` | `type`

Constructor Summary
`MissingMethodException(String method, Class type, def arguments)`
`MissingMethodException(String method, Class type, def arguments, boolean isStatic)`

Method Summary
`def` | `getArguments()`
`String` | `getMessage()`
`String` | `getMethod()`
`Class` | `getType()`
`boolean` | `isStatic()` i.e. on a class rather than an object.

Constructor Detail

### MissingMethodException

    public MissingMethodException(String method, Class type, def arguments)

### MissingMethodException

    public MissingMethodException(String method, Class type, def arguments, boolean isStatic)

Method Detail

### getArguments

    public def getArguments()

### getMessage

    public String getMessage()

### getMethod

    public String getMethod()

  return:
    the name of the method that could not be found

### getType

    public Class getType()

  return:
    The type on which the method was attempted to be called

### isStatic

    public boolean isStatic()

  return:
    Whether the method was called in a static way,
  i.e. on a class rather than an object.